Skip to main content
GET
/
v1
/
businessAccount
/
banks
/
wires
/
{fiatAccountId}
/
routingInfo
Get wire routing info
curl --request GET \
  --url https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{fiatAccountId}/routingInfo \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "currency": "USD",
      "inbound": [
        {
          "bankLabel": "customers_bank",
          "bankName": "Customers Bank",
          "recommended": true,
          "routed": false
        }
      ],
      "outbound": [
        {
          "bankLabel": "customers_bank",
          "bankName": "Customers Bank",
          "recommended": true,
          "routed": false
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

fiatAccountId
string<uuid>
required

Universally unique identifier (UUID v4) of a fiat account.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Successfully retrieved routing information for the wire account.

data
object[]